<?xml version="1.0" encoding="utf-8" ?>

	<!--
		Change log:
		2008-06-02/MMA	    Renamed all vida. to target.
    2008-08-19/MMA      The file vidaear.ear is replaces with a directory with the same name.
    2008-09-23/teriks28 Change path for install.src.db.dir and install.src.3pp.products.dir
    2008-09-23/teriks28 Change path for install.src.uninstall.dir
    2008-09-24/mod      cleaned up comments
    2008-09-30/MMA      Updated shorcut names.   
    2008-10-01/MMA      Updated sql server collation
    2008-10-01/MMA      Added more target directories to be used for uninstall.
    2008-11-18/MMA      Moved all enumerations to this file and redesigned the desktop shortcut installation.
    2009-05-18/MMA      VIDA2009C OBS The database scripts is not updated yet!!!
    2009-06-02/teriks28 Added database scripts for AccessServer update
    2009-08-17/MMA      Update for VIDA2009D. 
                        Changes for eUpdate paths and links. Link "force eUpdate" removed
                        New update scripts for accessserver and diagswdlsession
                        New version name
    2009-10-04/MMA      Update for VIDA2010A

    2011-02-17/teriks28 CR3369 CWLOfflineEAR.ear
                        Added properties for CWLOfflineEAR.er : target.cwlofflineear.dir and install.src.cwlofflineear.dir
     2011-10-07/teriks28 QC10579 Change the name of the VIDA catalogue in the start menu
                        Changed property value for "programs.subfolder" to "VIDA" 

	2011-11-22/teriks28 QC10839 AIOC -> Rollback shortcut path in need of update
						Removed "\" in property value for property "target.eUpdate.app.dir" 
	2012-01-26/teriks28 QC10040 IE9 - When Query Order is pressed IE9 stop responding
						Added property "install.src.install.utils.dir" for path to Install/Utils that holds reg file that will be run
			2012-02-07/teriks28: CR3904 
            Added properties to hold SQL Server versions
  2013-07-08: teriks28: OGB Project
            Changed property value for property "target.eswdl.root" fromm "${target.diagnostics.dir}\eswdl" to "${target.system.dir}\eswdl" to change eswdl library path
  2013-08-22: mbernts8: SQL update script for AccessServer 2013D
			2013-10-08 : teriks28 : WAS8 project
								Renamed property "target.jboss.vida.dir" to "target.jboss.standalone.dir" and changed value to match new jboss structure
								Changed value for property "target.deploy.dir" to match new Jboss structure
								Changed value for property "target.conf.dir" to match new Jboss structure
		2013-11-26: teriks28: ALM 12884 Not possible to install Vida2014A on top of older than previous versions
			Added property "jboss5.target.diagnostics.dir" with value for jboss 5 folder structure
	-->

<taskrunner date="2009-10-04" version="2.1">

  <enumerations>
    <!-- Sql Scripts for updating AccessServer data -->
    <enum name="postinstall.files">
      <item key="postinstall_subseq.sql"/>
      <item key="postinstall_init.sql"/>
      <item key="postinstall_lang.sql"/>
    </enum>

    <!-- Sql Scripts for updating AccessServer dbschema-->
    <!--<item key="AccessServer_2012B_To_2012C_v1.090.sql"/>-->
	<enum name="AccessServerUpdates" orderby="sequence">
		<item key="AccessServer_2014C_To_2014D_v1.104.sql"/>
	</enum>

    <!-- Sql Scripts for updating BaseData dbschema-->
    <enum name="BaseDataUpdates" orderby="sequence">
    </enum>

    <!-- Sql Scripts for updating DiagSwdlSession dbschema-->
    <enum name="DiagSwdlSessionUpdates" orderby="sequence">		
    </enum>

    <enum name="MasterUpdates" orderby="sequence">
      <item key="Set_DB_Compatibility_100.sql"/>
      <item key="spDBMaintenance.sql"/>
      <item key="scheduledTask.sql"/>
    </enum>

    <!-- Vida desktop shortcuts.-->
    <enum name="desktop.shortcuts" orderby="sequence">
      <item key="VIDA All-In-One" folders="${desktop},${vida.programs.folder}" target="${windows.internetexplorer.fullpath}" arguments="${vida.url}" icon="${target.icons.dir}\VIDA_MAIN.ico" workingdirectory="" addAclAllUsersDesktopShortcut="true" dynamicTarget="false"/>

      <!-- VIDA On Web: The argument-attribute will be updated by VidaConfigurator.exe -->
      <item key="VIDA on Web" folders="${desktop},${vida.programs.folder}" target="${windows.internetexplorer.fullpath}" arguments="${vida.url}" icon="${target.icons.dir}\VIDA_web.ico" workingdirectory="" addAclAllUsersDesktopShortcut="true" dynamicTarget="true"/>

      <!-- Vida Admin: The argument-attribute will be updated by VidaConfigurator.exe -->
      <item key="VIDA Admin" folders="${desktop},${vida.programs.folder}" target="${windows.internetexplorer.fullpath}" arguments="${vida.url}" icon="${target.icons.dir}\VIDA_A.ico" workingdirectory="" addAclAllUsersDesktopShortcut="true" dynamicTarget="true"/>
      <item key="VIDA Configuration" folders="${desktop},${vida.programs.folder}" target="${target.vida.config.fullpath}" arguments="" icon="" workingdirectory="" addAclAllUsersDesktopShortcut="true" dynamicTarget="false"/>

      <item key="VIDA Support" folders="${vida.programs.folder}" target="${windows.internetexplorer.fullpath}" arguments="${vida.webex.url}" icon="${target.icons.dir}\VIDA_S.ico" workingdirectory="" addAclAllUsersDesktopShortcut="false" dynamicTarget="false"/>
      <item key="VIDA Monitor" folders="${vida.programs.folder}" target="${target.vidamonitor.fullpath}" arguments="" icon="" workingdirectory="" addAclAllUsersDesktopShortcut="false" dynamicTarget="false"/>

      <!-- 2009-08-17/MMA Link VIDA Force eUpdate removed! -->
      <!-- <item key="VIDA Force eUpdate" folders="${vida.programs.folder}" target="${target.javaw.exe.fullpath}" arguments="-jar ${target.eUpdate.jar.fullpath} force" icon="${target.icons.dir}\VIDA_MAIN.ico" workingdirectory="${target.eUpdate.app.dir}" addAclAllUsersDesktopShortcut="false"/> -->

      <!-- 2009-08-17/MMA Link VIDA eUpdate Rollback updated! -->
			<item key="VIDA eUpdate Rollback" folders="${vida.programs.folder}" target="${target.javaw.exe.fullpath}" arguments="-jar ${target.eUpdate.jar.fullpath} uninstaller" icon="${target.icons.dir}\VIDA_MAIN.ico" workingdirectory="${target.eUpdate.app.dir}" addAclAllUsersDesktopShortcut="false" dynamicTarget="false"/>      
    </enum>

    <!-- If upgrade from previous version to this version the following desktop icons should be removed-->
    <enum name="removed.desktop.shortcuts" orderby="sequence">
       <!-- removed in version 2009D-->
      <item key="VIDA Force eUpdate" folders="${vida.programs.folder}" target="${target.javaw.exe.fullpath}" arguments="-jar ${target.eUpdate.jar.fullpath} force" icon="${target.icons.dir}\VIDA_MAIN.ico" workingdirectory="${target.eUpdate.app.dir}" addAclAllUsersDesktopShortcut="false" dynamicTarget="false"/>
    </enum>

    <!-- If upgrade from previous version to this version the following desktop icons should be updated/added-->
    <enum name="updated.desktop.shortcuts" orderby="sequence">
      <!-- Updated in 2009D -->
      <item key="VIDA eUpdate Rollback" folders="${vida.programs.folder}" target="${target.javaw.exe.fullpath}" arguments="-jar ${target.eUpdate.jar.fullpath} uninstaller" icon="${target.icons.dir}\VIDA_MAIN.ico" workingdirectory="${target.eUpdate.app.dir}" addAclAllUsersDesktopShortcut="false" dynamicTarget="false"/>      
    </enum>

    <enum name="config.files">
      <item key="vidamonitor.conf.xml" source.dir="${install.src.restore.config.files.dir}" target.dir="${target.application.dir}\system\config"/>

      <!-- Removed: Should never have been here!-->
      <!--<item key="VidaConfigApplication.ini" source.dir="${install.src.restore.config.files.dir}" target.dir="${target.application.dir}\system\config"/>-->

      <!--QC7663, removed cause 2010B got new settings, if we restore these files settings get lost-->      
      <!--<item key="components.config.xml" source.dir="${install.src.restore.config.files.dir}" target.dir="${target.vidaear.dir}\VidaWEB.war\Diagnostics"/>
      <item key="diagnostic.config.xml" source.dir="${install.src.restore.config.files.dir}" target.dir="${target.vidaear.dir}\VidaWEB.war\Diagnostics"/>-->

      <item key="vidaproxy.conf" source.dir="${install.src.restore.config.files.dir}" target.dir="${target.root}\System\config"/>
		</enum>   
  </enumerations>

  <properties>
    <!-- release info. Must be updated for each new release -->
	<property key="release" value="VIDA2014D"/>
	<property key="previous.release" value="VIDA2014C"/>

    <!-- SQL Server versions -->
    <property key="version.sqlserver2005" value="2005"/>
    <property key="version.sqlserver2008" value="2008"/>
    <property key="version.sqlserver2012" value="2012"/>

    <!-- desktop shortcut folders -->
    <property key="desktop" value="AllUsers.Desktop"/>
    <property key="programs" value="AllUsers.Programs"/>
    <property key="programs.subfolder" value="VIDA"/>
    <property key="vida.programs.folder" value="${programs}\${programs.subfolder}"/>

    <!-- VidaSave is a directory where we store info when user uninstalls the application.-->
    <property key="target.vidasave.dir" value="c:\vidasave"/>
    <!-- This is the directory where we get the configuration files when installing.-->
    <property key="install.src.restore.config.files.dir" value="${target.vidasave.dir}"/>

		<!-- INSTALLATION FILES -->
    <!-- file that marks the root folder of the installation package.-->
    <property key="root.dir.file.marker" value="install.root"/>

		<property key="jboss.package.filename" value="jboss.zip"/>

    <property key="vida.url" value="http://localhost/Vida"/>
    <property key="vida.webex.url" value="https://volvocarssc.webex.com"/>
    <property key="vida.language" value="%{VIDA_LANGUAGE}"/>
		<property key="ie.config.filename" value="iexplore.exe.config"/>

		<!-- TARGET DIRECTORIES -->
		<property key="target.root" value="%{VIDA_HOME}"/>
    <property key="target.root.deploy.dir" value="${target.root}\Deploy"/>
    <property key="target.root.utils.dir" value="${target.root}\Utils"/>
		<property key="target.db.dir" value="${target.root}\db"/>
		<property key="target.application.dir" value="${target.root}"/>
		<property key="target.language.dir" value="${target.root}\${release}_${vida.language}"/>
    <property key="target.system.dir" value="${target.root}\System"/>
    <property key="target.system.conf" value="${target.system.dir}\Config"/>
    <property key="target.system.backup.dir" value="${target.system.dir}\backup"/>

		<property key="target.jboss.standalone.dir" value="${target.application.dir}\jboss\standalone"/>
		<property key="target.deploy.dir" value="${target.jboss.standalone.dir}\deployments"/>
		<property key="target.conf.dir" value="${target.jboss.standalone.dir}\configuration"/>

    <property key="target.vidaear.dir" value="${target.deploy.dir}\VidaEar.ear"/>
    <property key="target.vidaweb.dir" value="${target.vidaear.dir}\VidaWeb.war" />
    <property key="target.diagnostics.dir" value="${target.vidaweb.dir}\Diagnostics" />
	<!--jboss 7 has a new folder structure. This property is used by vida.reinstall.xml when moving/copy eSWDL library on older VIDA versions, older then 2014A-->
	<property key="jboss5.target.diagnostics.dir" value="${target.root}\jboss\server\vida\deploy\VidaEar.ear\VidaWeb.war\Diagnostics" />
	  
    <property key="target.db.update.dir" value="${target.db.dir}\dbutils"/>
    <property key="target.cwlofflineear.dir" value="${target.deploy.dir}\CwlOfflineEar.ear"/>

    <property key="target.icons.dir" value="${target.root}"/>
    <property key="target.mssql.xml.fullpath" value="${target.deploy.dir}\mssql-ds.xml"/>
		<property key="target.vida.config.fullpath" value="${target.application.dir}\VidaConfigApplication.exe"/>
		<property key="target.vidamonitor.fullpath" value="${target.application.dir}\VidaMonitor.exe"/>
		<property key="target.wiring.diagrams.dir" value="${target.language.dir}\wiring_diagrams"/>
    <property key="target.uninstall.dir" value="${target.root}\uninstall\vida"/>
    <property key="target.uninstall.eUpdate.dir" value="${target.root}\uninstall\eUpdate"/>

    <property key="target.jboss.bat.fullpath" value="${target.application.dir}\jboss.bat"/>
    <property key="target.jdk.bin.dir" value="${target.root}\jdk\jre\bin"/>
    <property key="target.javaw.exe.fullpath" value="${target.jdk.bin.dir}\javaw.exe"/>
    <property key="target.eUpdate.app.dir" value="${target.root}eUpdate"/>
    <property key="target.eUpdate.jar.fullpath" value="${target.eUpdate.app.dir}\eUpdate.jar"/>

    <!-- 2009-08-15/MMA Update-->
    <property key="target.eupdate.launcher.fullpath" value="${target.javaw.exe.fullpath} -jar -Dvida.home=%VIDA_HOME% ${target.eUpdate.jar.fullpath}"/>

    <property key="target.eupdate.inbox.dir" value="${target.root}\inbox"/>
    <property key="target.eupdate.unzip.dir" value="${target.root}\unzip"/>
    <property key="target.temp" value="${target.root}\temp"/>
	<property key="target.eswdl.root" value="${target.system.dir}\eswdl" />

    <property key="target.dice.dir" value="${target.root}\DiCE"/>

    <!-- INSTALL SOURCE DIRECTORIES -->
    <property key="install.src.root.dir" value="@[GetParentDirectory(${alba.runtime.dir},${root.dir.file.marker})]"/>
    <property key="install.src.db.dir" value="${install.src.root.dir}\db"/>
		<property key="install.src.db.update.dir" value="${install.src.db.dir}\dbutils"/>
		<property key="install.src.3pp.products.dir" value="${install.src.root.dir}\3PP\products"/>
    <property key="install.src.3pp.tools.dir" value="${install.src.root.dir}\3PP\tools"/>
		<property key="install.src.sqlexpress.dir" value="${install.src.3pp.products.dir}\SqlExpress"/>
    <property key="install.src.msxml.dir" value="${install.src.3pp.products.dir}\msxml"/>
		<property key="install.src.application.dir" value="${install.src.root.dir}\application\copy"/>
		<property key="install.src.deploy.dir" value="${install.src.root.dir}\application\deploy"/>
		<property key="install.src.jboss.zip.fullpath" value="${install.src.deploy.dir}\${jboss.package.filename}"/>
		<property key="install.src.vidaear.dir" value="${install.src.deploy.dir}\VidaEar.ear"/>
    <property key="install.src.vidaweb.war.dir" value="${install.src.vidaear.dir}\VidaWeb.war"/>
    <property key="install.src.dice.dir" value="${install.src.3pp.products.dir}\DiCE"/>
    <property key="install.src.diag.dir" value="${install.src.deploy.dir}\AIOC_Installation\conf"/>
		<property key="install.src.diaginstall.fullpath" value="${install.src.diag.dir}\diagnosticinstall.bat"/>
		<property key="install.src.ie.config.fullpath" value="${install.src.diag.dir}\${ie.config.filename}"/>
		<property key="install.src.wiring.diagrams.dir" value="${install.src.vidaear.dir}\wiring_diagrams"/>
    <property key="install.src.language.db.dir" value="${install.src.db.dir}\${vida.language}"/>
    <property key="install.src.caspol.fullpath" value="${windows.folders.dotnetruntime}\CasPol.exe"/>
	  <property key="install.src.dbutils.dir" value="${install.src.db.dir}\dbutils"/>
	  <property key="install.src.uninstall.dir" value="${install.src.root.dir}\install\dvd\Vida_dvdheader\Vida\alba"/>
    <property key="install.src.eswdl.root" value="${install.src.root.dir}\eswdl" />
    <propetry key="install.src.eswdl.info.fullpath" value="${install.src.eswdl.root}\eswdl.info" />
    <property key="install.src.eswdl.content.file.fullpath" value="${install.src.eswdl.root}\eswdl.content" />
    <property key="install.src.eswdl.files.dir" value="${install.src.eswdl.root}\files" />   
    <property key="install.src.cwlofflineear.dir" value="${install.src.deploy.dir}\CwlOfflineEar.ear"/>

		<!--QC10040-->
		<property key="install.src.install.utils.dir" value="${install.src.root.dir}\install\utils"/>

    <!-- isoview registry settings (added 2009-08-11-->
    <property key="install.src.isoview.regsettings.fullpath" value="${install.src.3pp.products.dir}\isoview\regsettings\isoEngine.reg"/>

		<!--AccessServer -->
		<property key="db.accessserver.name" value="AccessServer"/>
		<property key="db.accessserver.data.filename" value="${db.accessserver.name}.mdf"/>
		<property key="db.accessserver.log.filename" value="${db.accessserver.name}.ldf"/>

		<!--DiagSwdlSession -->
		<property key="db.diagswdlsession.name" value="DiagSwdlSession"/>
		<property key="db.diagswdlsession.data.filename" value="${db.diagswdlsession.name}_data.mdf"/>
		<property key="db.diagswdlsession.log.filename" value="${db.diagswdlsession.name}_log.ldf"/>

		<property key="db.localdatabases.zip.filename" value="VidaLocalDatabases.zip"/>

		<!--CarComRT -->
		<property key="db.carcomrt.name" value="carcom"/>
		<property key="db.carcomrt.data.filename" value="${db.carcomrt.name}RT_data.mdf"/>
		<property key="db.carcomrt.log.filename" value="${db.carcomrt.name}RT_log.ldf"/>
		<property key="db.carcomrt.zip.filename" value="${db.carcomrt.name}RT.zip"/>

    <!--DiceTiming-->
		<property key="db.dicetiming.name" value="DiceTiming"/>
		<property key="db.dicetiming.data.filename" value="${db.dicetiming.name}_data.mdf"/>
		<property key="db.dicetiming.log.filename" value="${db.dicetiming.name}_log.ldf"/>
		<property key="db.dicetiming.zip.filename" value="${db.dicetiming.name}.zip"/>

    <!--BASEDATA -->
		<property key="db.basedata.name" value="basedata"/>
		<property key="db.basedata.data.filename" value="${db.basedata.name}_data.mdf"/>
		<property key="db.basedata.log.filename" value="${db.basedata.name}_log.ldf"/>
		<property key="db.basedata.zip.filename" value="${db.basedata.name}.zip"/>

		<!--EPC -->
		<property key="db.epc.name" value="EPC"/>
		<property key="db.epc.data.filename" value="${db.epc.name}_data.mdf"/>
		<property key="db.epc.log.filename" value="${db.epc.name}_log.ldf"/>
		<property key="db.epc.zip.filename" value="${db.epc.name}.zip"/>

		<!--DiagSwdlRepository -->
		<property key="db.diagswdlrepository.name" value="DiagSwdlRepository"/>
		<property key="db.diagswdlrepository.data.filename" value="${db.diagswdlrepository.name}_data.mdf"/>
		<property key="db.diagswdlrepository.log.filename" value="${db.diagswdlrepository.name}_log.ldf"/>
		<property key="db.diagswdlrepository.zip.filename" value="${db.diagswdlrepository.name}.zip"/>

		<!--ServiceRepository -->
		<property key="db.servicerepository.name" value="servicerep_${vida.language}"/>
		<property key="db.servicerepository.data.filename" value="${db.servicerepository.name}_data.mdf"/>
		<property key="db.servicerepository.log.filename" value="${db.servicerepository.name}_log.ldf"/>
		<property key="db.servicerepository.zip.filename" value="servicerep_${vida.language}.zip"/>
		<property key="db.servicerepository.jndi.name" value="service_${vida.language}"/>

		<!--ImageRepository -->
		<property key="db.imagerepository.name" value="imagerepository"/>
		<property key="db.imagerepository.data.filename" value="${db.imagerepository.name}_data.mdf"/>
		<property key="db.imagerepository.log.filename" value="${db.imagerepository.name}_log.ldf"/>
		<property key="db.imagerepository.zip.filename" value="${db.imagerepository.name}.zip"/>


		<!-- 
      Hardcoded sqlserver instance name occurs in the vida application. If you change the name here
      then you must make sure that the same change is made in the application.
    -->
		<property key="sqlserver.instance.name" value="Vida"/>
		<property key="sqlserver.local.server" value="(local)\${sqlserver.instance.name}"/>
		<property key="sqlserver.local.userid" value="sa"/>
		<property key="sqlserver.local.password" value="GunnarS3g3"/>

    <!-- Please note that the name of the "NT AUTHORITY/SYSTEM" account is localized.-->
    <property key="sqlserver.service.account" value="${windows.authority.account}"/>
		<property key="sqlserver.tcp.port" value="1433"/>
		<property key="sqlserver.collation" value="SQL_Latin1_General_CP1_CI_AS"/>

		<property key="con" value="server=${sqlserver.local.server};User id=${sqlserver.local.userid};password=${sqlserver.local.password};Pooling=false;"/>
		<property key="accessserver.cs" value="${con}database=${db.accessserver.name}"/>
		<property key="basedata.cs" value="${con}database=${db.basedata.name}"/>
		<property key="diagswdlsession.cs" value="${con}database=${db.diagswdlsession.name}"/>
    <property key="master.cs" value="${con}database=master"/>

    <property key="a1" value="vida.install.utilities.dll"/>
		<property key="alba.logfile" value="${target.root}\system\log\vida.install.${alba.datetime.date}.${alba.datetime.time}.log" />
	</properties>
</taskrunner>
